> ## Documentation Index
> Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete campaign subsequence

> Requires one of the following scopes: `subsequences:delete`, `subsequences:all`, `all:delete`, `all:all`



## OpenAPI

````yaml https://api.instantly.ai/openapi/api_v2.json delete /api/v2/subsequences/{id}
openapi: 3.1.0
info:
  title: API Explorer
  description: >-
    The entire API V2 documentation is interactive and can be tested here. To
    the right side of every endpoint you will see a box with an example request.
    You can click on the "Try it" button to send a request to the server right
    from the docs. You will need to provide an API key by clicking the
    `ApiKeyAuth_token` blue text.
  version: 2.0.0
servers:
  - url: https://api.instantly.ai
    description: Instantly API Server
security:
  - ApiKeyAuth: []
tags:
  - name: Analytics
    description: Endpoints related to analytics
    x-displayName: Analytics
  - name: OAuth
    description: >-
      OAuth authentication endpoints for connecting Google and Microsoft email
      accounts
    x-displayName: OAuth
  - name: Account
    description: An email account that can be used to send campaigns
    x-displayName: Account
  - name: Campaign
    description: A campaign that can be sent to a list of recipients
    x-displayName: Campaign
  - name: Email
    description: >-
      A campaign email, a reply, a manually sent email, or any other email
      that's visible in the Unibox
    x-displayName: Email
  - name: EmailVerification
    description: A single email verification
    x-displayName: Email Verification
  - name: LeadList
    description: A list used to store leads
    x-displayName: Lead List
  - name: InboxPlacementTest
    description: An inbox placement test
    x-displayName: Inbox Placement Test
  - name: InboxPlacementAnalytics
    description: Analytics data for individual emails in inbox placement tests
    x-displayName: Inbox Placement Analytics
  - name: InboxPlacementBlacklist&SpamAssassinReport
    description: Report data for an inbox placement test
    x-displayName: Inbox Placement Blacklist & SpamAssassin Report
  - name: APIKey
    description: API Key
    x-displayName: API Key
  - name: AccountCampaignMapping
    description: Account Campaign Mapping
    x-displayName: Account Campaign Mapping
  - name: Lead
    description: A lead entity representing an individual lead
    x-displayName: Lead
  - name: BackgroundJob
    description: A background job that can be used to perform long-running tasks
    x-displayName: Background Job
  - name: CustomTag
    description: >-
      A custom tag for organizing and categorizing accounts and campaigns. You
      can use them as filters in apis that list accounts and campaigns.
    x-displayName: Custom Tag
  - name: CustomTagMapping
    description: >-
      This entity represents a tag being assigned to a specific campaign or
      email account. When an email account is assigned a tag, a new custom tag
      mapping entry is created, which connects the tag (`tag_id` field) with the
      email account (`resource_id` field). You can use it to see which tag si
      connected to which resource.
    x-displayName: Custom Tag Mapping
  - name: BlockListEntry
    description: A blocked email or domain
    x-displayName: Block List Entry
  - name: LeadLabel
    description: A custom label for categorizing and managing leads
    x-displayName: Lead Label
  - name: Workspace
    description: A workspace entity representing a workspace
    x-displayName: Workspace
  - name: SuperSearchEnrichment
    description: >-
      An enrichment can take different forms, such as email enrichment or
      LinkedIn enrichment. Leads may be imported from SuperSearch using the
      dedicated endpoint, or enriched directly within a list or campaign by
      attaching an enrichment to it.
    x-displayName: SuperSearch Enrichment
  - name: WorkspaceGroupMember
    description: >-
      A member of a workspace group. You can use the endpoints within this
      entity to manage the members of a workspace group.
    x-displayName: Workspace Group Member
  - name: WorkspaceMember
    description: A member of a workspace with associated user details
    x-displayName: Workspace Member
  - name: CampaignSubsequence
    description: A subsequence entity representing a follow-up sequence
    x-displayName: Campaign Subsequence
  - name: AuditLog
    description: Audit log records for tracking system activities
    x-displayName: Audit Log
  - name: Webhook
    description: A webhook subscription for receiving event notifications
    x-displayName: Webhook
  - name: WebhookEvent
    description: A webhook event that was sent or attempted to be sent
    x-displayName: Webhook Event
  - name: DFYEmailAccountOrder
    description: A Done-For-You email account order
    x-displayName: DFY Email Account Order
  - name: CustomPromptTemplate
    description: Custom prompt templates for creating custom prompts
    x-displayName: Custom Prompt Template
  - name: SalesFlow
    description: >-
      Manages how sales users view and interact with campaign and lead lists
      within the sales flow.
    x-displayName: Sales Flow
  - name: EmailTemplate
    description: A campaign email template
    x-displayName: Email Template
  - name: WorkspaceBilling
    description: Workspace Billing
    x-displayName: Workspace Billing
  - name: CRMActions
    description: CRM related actions
    x-displayName: CRM Actions
paths:
  /api/v2/subsequences/{id}:
    delete:
      tags:
        - CampaignSubsequence
      summary: Delete campaign subsequence
      description: >-
        Requires one of the following scopes: `subsequences:delete`,
        `subsequences:all`, `all:delete`, `all:all`
      operationId: deleteCampaignSubsequence
      parameters:
        - schema:
            type: string
            format: uuid
            example: 019e18e2-a62b-74e0-8876-a04043675709
          in: path
          name: id
          required: true
          description: The ID of the item to delete
      requestBody:
        content:
          application/json:
            schema:
              type: 'null'
              example: null
      responses:
        '200':
          description: The deleted Campaign Subsequence
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/def-26'
        '401':
          description: >-
            This request is unauthorized (either the Authorization header is
            missing or invalid, or the API key has been revoked)
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 401
                    example: 401
                  error:
                    type: string
                    enum:
                      - Unauthorized
                    example: Unauthorized
                  message:
                    type: string
                    example: Missing Authorization header
                required:
                  - statusCode
                  - error
                  - message
        '402':
          description: >-
            This request cannot be fulfilled because the workspace does not have
            an active paid plan
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 402
                    example: 402
                  error:
                    type: string
                    enum:
                      - Payment Required
                    example: Payment Required
                  message:
                    type: string
                    example: Workspace does not have an active paid plan
                required:
                  - statusCode
                  - error
                  - message
        '404':
          description: The requested resource was not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 404
                    example: 404
                  error:
                    type: string
                    enum:
                      - Not Found
                    example: Not Found
                  message:
                    type: string
                    example: Resource not found
                required:
                  - statusCode
                  - error
                  - message
        '429':
          description: >-
            You have exceeded the rate limit. Please check the rate limit docs
            for more information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 429
                    example: 429
                  error:
                    type: string
                    enum:
                      - Too Many Requests
                    example: Too Many Requests
                  message:
                    type: string
                    example: Rate limit exceeded
                required:
                  - statusCode
                  - error
                  - message
components:
  schemas:
    def-26:
      title: Campaign Subsequence
      description: A subsequence entity representing a follow-up sequence
      x-tags:
        - Schemas
        - CampaignSubsequence
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the subsequence
          readOnly: true
          format: uuid
          example: 019e18e2-7973-76ff-8fa5-9b41b6d02b56
        timestamp_created:
          type: string
          description: Timestamp when the subsequence was created
          readOnly: true
          format: date-time
          example: '2026-05-11T21:12:35.955Z'
        parent_campaign:
          type: string
          description: ID of the parent campaign
          format: uuid
          example: 019e18e2-7973-76ff-8fa5-9b42fcfb01cc
        workspace:
          type: string
          description: ID of the workspace this subsequence belongs to
          readOnly: true
          format: uuid
          example: 019e18e2-7973-76ff-8fa5-9b4341244998
        status:
          type: number
          description: Status of the subsequence
          readOnly: true
          enum:
            - -99
            - -1
            - -2
            - 0
            - 1
            - 2
            - 3
            - 4
          x-enumDescriptions:
            '0': Draft - The subsequence is in draft mode and not yet active
            '1': Active - The subsequence is currently running
            '2': Paused - The subsequence has been manually paused
            '3': Completed - The subsequence has finished running
            '4': Running Subsequences - The subsequence has active child sequences
            '-99': >-
              Account Suspended - The subsequence is suspended due to account
              issues
            '-1': >-
              Accounts Unhealthy - The subsequence is paused due to unhealthy
              sending accounts
            '-2': >-
              Bounce Protection - The subsequence is paused due to high bounce
              rates
          example: 0
        timestamp_leads_updated:
          type: string
          description: Timestamp when the leads were last updated
          readOnly: true
          format: date-time
          example: '2026-05-11T21:12:35.955Z'
        name:
          type: string
          description: Name of the subsequence
          example: Follow-up sequence
        conditions:
          type: object
          description: Conditions that trigger the subsequence
          properties:
            crm_status:
              type: array
              description: Lead CRM statuses that trigger the subsequence.
              items:
                type: number
                enum:
                  - 1
                  - 2
                  - 3
                  - 4
                  - 0
                  - -1
                  - -2
                  - -3
                  - -4
                x-enumDescriptions:
                  '0': Out of Office
                  '1': Interested
                  '2': Meeting Booked
                  '3': Meeting Completed
                  '4': Won
                  '-1': Not Interested
                  '-2': Wrong Person
                  '-3': Lost
                  '-4': No Show
                example: 1
            lead_activity:
              type: array
              description: Lead activities that trigger the subsequence.
              items:
                type: number
                enum:
                  - 4
                  - 91
                  - 2
                x-enumDescriptions:
                  '2': Email Opened - Triggered when a lead opens an email
                  '4': >-
                    Email Link Clicked - Triggered when a lead clicks a link in
                    an email
                  '91': >-
                    Campaign Completed Without Reply - Triggered when a campaign
                    completes for a lead without receiving a reply
                example: 4
            reply_contains:
              type: string
              example: 'yes'
        subsequence_schedule:
          type: object
          description: Schedule configuration for the subsequence
          properties:
            start_date:
              type:
                - 'null'
                - string
              format: date
              description: Start date in YYYY-MM-DD format. Uses the campaign's timezone.
              example: '2025-09-25'
            end_date:
              type:
                - 'null'
                - string
              format: date
              description: End date in YYYY-MM-DD format. Uses the campaign's timezone.
              example: '2025-09-25'
            schedules:
              type: array
              items:
                type: object
                properties:
                  name:
                    type: string
                    example: My Schedule
                  timing:
                    type: object
                    properties:
                      from:
                        type: string
                        pattern: ^([01][0-9]|2[0-3]):([0-5][0-9])$
                        example: '09:00'
                      to:
                        type: string
                        pattern: ^([01][0-9]|2[0-3]):([0-5][0-9])$
                        example: '17:00'
                    required:
                      - from
                      - to
                  days:
                    type: object
                    minProperties: 1
                    properties:
                      '0':
                        type: boolean
                        example: true
                      '1':
                        type: boolean
                        example: true
                      '2':
                        type: boolean
                        example: true
                      '3':
                        type: boolean
                        example: true
                      '4':
                        type: boolean
                        example: true
                      '5':
                        type: boolean
                        example: false
                      '6':
                        type: boolean
                        example: false
                  timezone:
                    type: string
                    enum:
                      - Etc/GMT+12
                      - Etc/GMT+11
                      - Etc/GMT+10
                      - America/Anchorage
                      - America/Dawson
                      - America/Creston
                      - America/Chihuahua
                      - America/Boise
                      - America/Belize
                      - America/Chicago
                      - America/Bahia_Banderas
                      - America/Regina
                      - America/Bogota
                      - America/Detroit
                      - America/Indiana/Marengo
                      - America/Caracas
                      - America/Asuncion
                      - America/Glace_Bay
                      - America/Campo_Grande
                      - America/Anguilla
                      - America/Santiago
                      - America/St_Johns
                      - America/Sao_Paulo
                      - America/Argentina/La_Rioja
                      - America/Araguaina
                      - America/Godthab
                      - America/Montevideo
                      - America/Bahia
                      - America/Noronha
                      - America/Scoresbysund
                      - Atlantic/Cape_Verde
                      - Africa/Casablanca
                      - America/Danmarkshavn
                      - Europe/Isle_of_Man
                      - Atlantic/Canary
                      - Africa/Abidjan
                      - Arctic/Longyearbyen
                      - Europe/Belgrade
                      - Africa/Ceuta
                      - Europe/Sarajevo
                      - Africa/Algiers
                      - Africa/Windhoek
                      - Asia/Nicosia
                      - Asia/Beirut
                      - Africa/Cairo
                      - Asia/Damascus
                      - Europe/Bucharest
                      - Africa/Blantyre
                      - Europe/Helsinki
                      - Europe/Istanbul
                      - Asia/Jerusalem
                      - Africa/Tripoli
                      - Asia/Amman
                      - Asia/Baghdad
                      - Europe/Kaliningrad
                      - Asia/Aden
                      - Africa/Addis_Ababa
                      - Europe/Kirov
                      - Europe/Astrakhan
                      - Asia/Tehran
                      - Asia/Dubai
                      - Asia/Baku
                      - Indian/Mahe
                      - Asia/Tbilisi
                      - Asia/Yerevan
                      - Asia/Kabul
                      - Antarctica/Mawson
                      - Asia/Yekaterinburg
                      - Asia/Karachi
                      - Asia/Kolkata
                      - Asia/Colombo
                      - Asia/Kathmandu
                      - Antarctica/Vostok
                      - Asia/Dhaka
                      - Asia/Rangoon
                      - Antarctica/Davis
                      - Asia/Novokuznetsk
                      - Asia/Hong_Kong
                      - Asia/Krasnoyarsk
                      - Asia/Brunei
                      - Australia/Perth
                      - Asia/Taipei
                      - Asia/Choibalsan
                      - Asia/Irkutsk
                      - Asia/Dili
                      - Asia/Pyongyang
                      - Australia/Adelaide
                      - Australia/Darwin
                      - Australia/Brisbane
                      - Australia/Melbourne
                      - Antarctica/DumontDUrville
                      - Australia/Currie
                      - Asia/Chita
                      - Antarctica/Macquarie
                      - Asia/Sakhalin
                      - Pacific/Auckland
                      - Etc/GMT-12
                      - Pacific/Fiji
                      - Asia/Anadyr
                      - Asia/Kamchatka
                      - Etc/GMT-13
                      - Pacific/Apia
                    example: Etc/GMT+12
                required:
                  - name
                  - timing
                  - days
                  - timezone
              minItems: 1
          required:
            - schedules
        sequences:
          type: array
          description: >-
            List of sequences (the actual email copy). Even though this field is
            an array, only the first element is used, so please provide only one
            array item, and add the steps to that array
          items:
            type: object
            properties:
              steps:
                type: array
                items:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - email
                      x-enumDescriptions:
                        email: This steps represents an email
                      description: >-
                        Type of step. This has to be 'email' always - it's the
                        only supported type for now
                      example: email
                    delay:
                      type: number
                      description: >-
                        The delay value before sending the NEXT email. The unit
                        is determined by the delay_unit field (defaults to
                        days).
                      example: 2
                    delay_unit:
                      type: string
                      enum:
                        - minutes
                        - hours
                        - days
                      default: days
                      description: >-
                        The unit of time for the delay value (minutes, hours, or
                        days). Defaults to days for backward compatibility.
                      example: days
                    pre_delay:
                      type: number
                      description: >-
                        The delay value before sending the FIRST email in a
                        subsequence. **Only applicable to subsequences** - this
                        field is ignored for regular campaigns. The unit is
                        determined by the pre_delay_unit field (defaults to
                        days).
                      example: 2
                    pre_delay_unit:
                      type: string
                      enum:
                        - minutes
                        - hours
                        - days
                      default: days
                      description: >-
                        The unit of time for the pre_delay value (minutes,
                        hours, or days). **Only applicable to subsequences** -
                        this field is ignored for regular campaigns. Defaults to
                        days for backward compatibility.
                      example: days
                    variants:
                      type: array
                      items:
                        type: object
                        properties:
                          subject:
                            type: string
                            example: Hello {{firstName}}
                          body:
                            type: string
                            example: |-
                              Hey {{firstName}},

                              I hope you are doing well.
                          v_disabled:
                            type: boolean
                            description: >-
                              Whether this variant is disabled. By default, all
                              the variants are enabled. Please set this to true
                              if you want to disable this variant
                            example: true
                        required:
                          - subject
                          - body
                  required:
                    - type
                    - delay
                    - variants
            required:
              - steps
        daily_limit_mode:
          type: string
          description: >-
            Daily limit mode for the subsequence. "inherit" uses the parent
            campaign limit, "custom" uses a subsequence-specific limit,
            "unlimited" bypasses the campaign-level daily limit.
          enum:
            - inherit
            - custom
            - unlimited
          example: inherit
        daily_limit:
          type:
            - 'null'
            - number
          description: >-
            Custom daily limit for the subsequence. Only used when
            `daily_limit_mode` is "custom".
          example: 50
        ignore_account_daily_limit:
          type: boolean
          description: >-
            When enabled, the subsequence will send even when sending accounts
            have reached their daily limit.
          example: false
      required:
        - id
        - timestamp_created
        - parent_campaign
        - workspace
        - status
        - timestamp_leads_updated
        - name
        - conditions
        - subsequence_schedule
        - sequences
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````